extern "C"   WORD FAR  PASCAL __D000h( void);
extern "C"   WORD FAR  PASCAL __C000h( void);

// for C-812
const int    StatMOnTarget = 0x01;
const int    StatMLimitHit = 0x02;
const int    StatMOnOff    = 0x04;
const int    StatMSlewing  = 0x08;
const int    StatMUnused   = 0x10;
const int    StatMSlaved   = 0x20;
const int    StatMEdgeMode = 0x40;
const int    StatMStopped  = 0x80;

// for C-832
// LM628/629 Command Set
const int RESET     =  0x00;  // 0
const int PORT8     =  0x05;  // 5
const int PORT12    =  0x06;  // 6
const int DFH       =  0x02;  // 2
const int SIP       =  0x03;  // 3
const int LPEI      =  0x1B;  // 27
const int LPES      =  0x1A;  // 26
const int SBPA      =  0x20;  // 32
const int SBPR      =  0x21;  // 33
const int MSKI      =  0x1C;  // 28
const int RSTI      =  0x1D;  // 29
const int LFIL      =  0x1E;  // 30
const int UDF       =  0x04;  // 4
const int LTRJ      =  0x1F;  // 31
const int STT       =  0x01;  // 1
const int RDSIGS    =  0x0C;  // 12
const int RDIP      =  0x09;  // 9
const int RDDP      =  0x08;  // 8
const int RDRP      =  0x0A;  // 10
const int RDDV      =  0x07;  // 7
const int RDRV      =  0x0B;  // 11
const int RDSUM     =  0x0D;  // 13
const int RDSTAT    =  0xFF;  // 255

const int ON_TARGET = 0x0400;

// absolute position
const int LD_POS    = 0x0002;
const int LD_RPOS   = 0x0003;
const int LD_IL     = 0x0001;
const int LD_KD     = 0x0002;
const int LD_KI     = 0x0004;
const int LD_KP     = 0x0008;

typedef struct
{
  BYTE  cmd;      // command
  int   report;   // Ctrl(0)/Report(1) command
  int   data;     // max. datawords
  int   length32; // 16(0)/32(1) bit valus
}  TCSet;

